Pricefx REST API Reference
The Pricefx Backend API
Request
Inserts multiple product extensions to the Master Data table.
The name (a name of the category) and sku must be provided for each record in the header and data object within the request body. The /loaddata operation is a very efficient and quick way to insert bulk data to the Master Data table. The main advantage is its greater speed when loading thousands of records (compared to e.g. /integrate).
Use the ISO 8601 date format (YYYY-MM-DD) if a date is included in the table.
Please note: If no
joinFieldsare provided in the request, then this operation will insert entire records. It means that in this case (withoutjoinFields) with /loaddata it is not possible to update just some fields (for this use the /integrate endpoint instead). The source data must always contain the entire row’s content.
Specify seller extension field names in the header object and field values in the data object.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/loaddata/SX
- URL:https://companynode.pricefx.com/pricefx/companypartition/loaddata/SX
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/loaddata/SX \
-H 'Content-Type: application/json' \
-d '{
"data": {
"data": [
[
"s0006028005",
"SXTest2"
],
[
"s0006047451",
"SXTest2"
],
[
"s0006056838",
"SXTest2"
],
[
"s0000412926",
"SXTest2"
],
[
"s0000014471",
"SXTest2"
],
[
"s0000412891",
"SXTest2"
]
],
"header": [
"sellerId",
"name"
],
"options": {
"detectJoinFields": false,
"joinFields": [
"sellerId",
"name"
]
}
}
}'- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/SX
- URL:https://companynode.pricefx.com/pricefx/companypartition/add/SX
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/SX \
-H 'Content-Type: application/json' \
-d '{
"data": {
"name": "SXTest",
"sellerId": "Seller023"
},
"operation": "add"
}'{ "response": { "node": "node", "data": [ … ], "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/sellermanager.fetch/{SellerId}/SX/{SXCategory}
- URL:https://companynode.pricefx.com/pricefx/companypartition/sellermanager.fetch/{SellerId}/SX/{SXCategory}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/sellermanager.fetch/SC-001/SX/SalesOrganization{ "repsonse": { "status": 0, "node": "node", "data": [ … ], "endRow": 1 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments